package org.mmga.clubs.entities.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.mmga.clubs.entities.auth.Auth;
import org.mmga.clubs.entities.club.Club;

@Data
@Schema(description = "用户")
public class User {
    @Schema(description = "用户ID")
    private int id;
    @Schema(description = "用户名")
    private String name;
    @Schema(description = "用户所在权限组")
    private Auth auth;
    @Schema(description = "用户头像SHA1值")
    private String avatar;
    @Schema(description = "用户所属社团")
    private Club club;
}
